#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

class QLabel;
class QLineEdit;
class QPushButton;
class QCalendarWidget;
class QSpinBox;

class newPersonDialog : public QDialog {
    Q_OBJECT
public:
    newPersonDialog(QWidget *parent = 0);

private slots:
    void enableOkButton(const QString &) const;
    void saveAndCallAccept(void);

private:
    QLabel *labelName;
    QLabel *label;
    QLabel *dateLabel;
    QLabel *durationLabel;
    QLabel *periotLabel;

    QLineEdit *nameLine;

    QPushButton *okButton;
    QPushButton *cancelButton;
    QCalendarWidget *calendar;

    QSpinBox *durationSpin, *periotSpin;

};

#endif // DIALOG_H
